Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 51)
@@ -1290,8 +1782,214 @@
         }
         #endregion
 
+        #region 資材貸出画面
+        /// <summary>
+        /// 資材貸出
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_MaterialReserveEntry(ProcessParameter CurrentPara)
+        {
+            // 工事案件選択画面
+            FrmConstructionDiag frmCnstDlg = new FrmConstructionDiag();
+
+            // 工事一覧の表示に必要なデータを設定(担当者コード、工事担当者検索)
+            frmCnstDlg.PersonCode = CommonMotions.LoginUserData.PersonCode;
+            frmCnstDlg.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+            frmCnstDlg.SelectType = (int)FrmConstructionDiag.SelectConstructionType.Ongoing;
+
+            // 工事案件選択画面のオープン
+            frmCnstDlg.ShowDialog();
+
+            // 資材貸出
+            FrmMaterialReserveEntry frm = new FrmMaterialReserveEntry();
+            try
+            {
+                int ProcessNo = (int)ProcessExecuteNo.MaterialReserveEntry;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+
+                // 工事案件選択画面で選択された工事番号をセット
+                frm.ConstructionCode = frmCnstDlg.ConstructionCode;
+
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose();
+                frm = null;
+            }
+        }
         #endregion
 
+        #region 資材返却画面
+        /// <summary>
+        /// 資材返却
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_MaterialReturnEntry(ProcessParameter CurrentPara)
+        {
+            // 工事案件選択画面
+            FrmConstructionDiag frmCnstDlg = new FrmConstructionDiag();
+
+            // 工事一覧の表示に必要なデータを設定(担当者コード、工事担当者検索)
+            frmCnstDlg.PersonCode = CommonMotions.LoginUserData.PersonCode;
+            frmCnstDlg.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+            frmCnstDlg.SelectType = (int)FrmConstructionDiag.SelectConstructionType.Ongoing;
+
+            // 工事案件選択画面のオープン
+            frmCnstDlg.ShowDialog();
+
+            // 資材返却
+            FrmMaterialReturnEntry frm = new FrmMaterialReturnEntry();
+
+            try
+            {
+                int ProcessNo = (int)ProcessExecuteNo.MaterialReturnEntry;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+
+                // 工事案件選択画面で選択された工事番号をセット
+                frm.ConstructionCode = frmCnstDlg.ConstructionCode;
+
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose();
+                frm = null;
+            }
+        }
+        #endregion
+
+        #region 請求まとめ画面
+        /// <summary>
+        /// 請求まとめ画面
+        /// </summary>
+        /// <returns></returns>
+        public static void ProcessExecuteNo_RequestSummaryList(ProcessParameter CurrentPara)
+        {
+            //// 請求まとめ画面
+            FrmRequestSummaryList frm = new FrmRequestSummaryList();
+            try
+            {
+                // パラメータセット
+                frm.Labourkind = CurrentPara.IntExecParameter[0];
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 請求入力画面
+        /// <summary>
+        /// 請求入力画面
+        /// </summary>
+        /// <returns></returns>
+        public static void ProcessExecuteNo_RequestInput(ProcessParameter CurrentPara)
+        {
+            // 工事案件選択画面
+            FrmConstructionDiag frmCnstDlg = new FrmConstructionDiag();
+
+            // 工事一覧の表示に必要なデータを設定(担当者コード、工事担当者検索)
+            frmCnstDlg.PersonCode = CommonMotions.LoginUserData.PersonCode;
+            frmCnstDlg.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+            frmCnstDlg.SelectType = CurrentPara.IntExecParameter[0];
+
+            // 工事案件選択画面のオープン
+            frmCnstDlg.ShowDialog();
+
+            // 工事番号を取得できなかった場合
+            if (0 == frmCnstDlg.ConstructionCode)
+            {
+                ClsExcute.BackProcess();
+                return;
+            }
+
+            // 請求入力画面
+            FrmRequestInput frm = new FrmRequestInput();
+
+            try
+            {
+
+                // 工事案件選択画面で選択された工事番号をセット
+                frm.ConstructionCode = frmCnstDlg.ConstructionCode;
+
+                // 請求入力の表示
+                frm.ShowDialog();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 入金確認
+        /// <summary>
+        /// 入金確認
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_PaymentConfirmation(ProcessParameter CurrentPara)
+        {
+            //　入金確認
+            FrmSelectPayment frm = new FrmSelectPayment();
+            try
+            {
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
         #region マスタメンテナンス
         // ----------------- メンテナンス起動
         #region 管理マスタ
@@ -1305,16 +2003,26 @@
             FrmSystem frm = new FrmSystem();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.System;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1330,16 +2038,26 @@
             FrmPersonInCharge frm = new FrmPersonInCharge();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.PersonInCharge;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1355,16 +2073,26 @@
             FrmComponent frm = new FrmComponent();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Component;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1380,16 +2108,26 @@
             FrmDepartment frm = new FrmDepartment();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Department;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1405,16 +2143,26 @@
             FrmConstructionItem frm = new FrmConstructionItem();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.ConstructionItem;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1430,16 +2178,26 @@
             FrmConstructionSpec frm = new FrmConstructionSpec();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.ConstructionWork;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1455,16 +2213,26 @@
             FrmUnitMaster frm = new FrmUnitMaster();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Unit;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1480,20 +2248,26 @@
             FrmSubContractor frm = new FrmSubContractor();
             try
             {
-                // 閲覧フラグチェック
-                if (CurrentPara.BoolExecParameter.Count > 0)
-                    frm.BrowseFlg = CurrentPara.BoolExecParameter[0];
-                
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.SubContractor;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1509,9 +2283,15 @@
             FrmOrderers frm = new FrmOrderers();
             try
             {
-                // 閲覧フラグチェック
-                if (CurrentPara.BoolExecParameter.Count > 0)
-                    frm.BrowseFlg = CurrentPara.BoolExecParameter[0];
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Orderers;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
                 frm.ShowDialog();
             }
@@ -1518,11 +2298,11 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1538,32 +2318,15 @@
             FrmBusinessTypeMaster frm = new FrmBusinessTypeMaster();
             try
             {
-                frm.ShowDialog();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose();
-                frm = null;
-            }
-        }
-        #endregion
-        
-        #region 区分マスタ
-        /// <summary>
-        /// 区分マスタ
-        /// </summary>
-        /// <returns></returns>
-        public static void MaintenanceExecuteNo_Division(ProcessParameter CurrentPara)
-        {
-            // 区分マスタ
-            FrmDivision frm = new FrmDivision();
-            try
-            {
-                frm.DivisionCode = CurrentPara.IntExecParameter[0];
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.BusinessType;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
                 frm.ShowDialog();
             }
@@ -1570,39 +2333,15 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
         
-        #region 経費率マスタ
-        /// <summary>
-        /// 経費率マスタ
-        /// </summary>
-        public static void MaintenanceExecuteNo_Expenses(ProcessParameter CurrentPara)
-        {
-            // 経費率マスタ
-            FrmExpenses frm = new FrmExpenses();
-            try
-            {
-                frm.ShowDialog();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose();
-                frm = null;
-            }
-        }
-        #endregion
-        
         #region 協力会社工種マスタ
         /// <summary>
         /// 協力会社工種マスタ
@@ -1613,16 +2352,26 @@
             FrmSubContractorItem frm = new FrmSubContractorItem();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.SubContractorItem;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1637,16 +2386,26 @@
             FrmCalendar frm = new FrmCalendar();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Calender;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1661,16 +2420,26 @@
             FrmVehicle frm = new FrmVehicle();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.VehicleMaster;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1685,16 +2454,26 @@
             FrmTerm frm = new FrmTerm();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.TermMaster;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1709,16 +2488,26 @@
             FrmSalesGraphData frm = new FrmSalesGraphData();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.SaleSalesGraphData;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1733,16 +2522,26 @@
             FrmApprovalRoute frm = new FrmApprovalRoute();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.ApprovalRoute;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1757,16 +2556,26 @@
             FrmConstructionType frm = new FrmConstructionType();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.ConstructionType;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1782,16 +2591,26 @@
             FrmComponentLink frm = new FrmComponentLink();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.ComponentLink;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1807,16 +2626,26 @@
             FrmAlwaysEmployment frm = new FrmAlwaysEmployment();
             try
             {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.AlwaysEmployment;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 frm.ShowDialog();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -1832,9 +2661,15 @@
             FrmSuppliers frm = new FrmSuppliers();
             try
             {
-                // 閲覧フラグチェック
-                if (CurrentPara.BoolExecParameter.Count > 0)
-                    frm.BrowseFlg = CurrentPara.BoolExecParameter[0];
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.Suppliers;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
                 frm.ShowDialog();
             }
@@ -1841,11 +2676,11 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
-                frm.Dispose();
-                frm = null;
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
